summaryrefslogtreecommitdiff
path: root/your_program.sh
diff options
context:
space:
mode:
authorcodecrafters-bot <hello@codecrafters.io>2025-12-05 03:43:32 +0000
committercodecrafters-bot <hello@codecrafters.io>2025-12-05 03:43:32 +0000
commiteb98380e577eb3a660eaed9bd83f6f9a660cd609 (patch)
tree78626606e82168b59b3344fa42924b520fd620b1 /your_program.sh
downloadsqlite-zig-eb98380e577eb3a660eaed9bd83f6f9a660cd609.tar.gz
sqlite-zig-eb98380e577eb3a660eaed9bd83f6f9a660cd609.zip
init [skip ci]
Diffstat (limited to 'your_program.sh')
-rwxr-xr-xyour_program.sh24
1 files changed, 24 insertions, 0 deletions
diff --git a/your_program.sh b/your_program.sh
new file mode 100755
index 0000000..9691601
--- /dev/null
+++ b/your_program.sh
@@ -0,0 +1,24 @@
+#!/bin/sh
+#
+# Use this script to run your program LOCALLY.
+#
+# Note: Changing this script WILL NOT affect how CodeCrafters runs your program.
+#
+# Learn more: https://codecrafters.io/program-interface
+
+set -e # Exit early if any commands fail
+
+# Copied from .codecrafters/compile.sh
+#
+# - Edit this to change how your program compiles locally
+# - Edit .codecrafters/compile.sh to change how your program compiles remotely
+(
+ cd "$(dirname "$0")" # Ensure compile steps are run within the repository directory
+ zig build
+)
+
+# Copied from .codecrafters/run.sh
+#
+# - Edit this to change how your program runs locally
+# - Edit .codecrafters/run.sh to change how your program runs remotely
+exec "$(dirname "$0")"/zig-out/bin/main "$@"